
#if !defined(EC_GTK_PLUGINS_H)
#define EC_GTK_PLUGINS_H

#include <gtk/gtk.h>

extern void Ginterface_Plugins_Run(void);
extern void Ginterface_Plugins_Output(void);
extern void Ginterface_Plugins_Output_Update(void);
extern void Ginterface_Plugins_HidePluginOutput(void);
extern void Ginterface_Plugins_Stop(void);
extern void Ginterface_Plugins_ToolBar(GtkItemFactory *host_menu);

void Ginterface_Plugins_Add_Output(char *);
int Ginterface_Plugins_Input_Block(char *string, size_t size);
int Ginterface_Plugins_Input_NonBlock(char *buff, size_t size);

#endif

/* EOF */

// vim:ts=3:expandtab

